curl --request GET \
--url https://api.mottostreaming.com/streaming/assets/v1/{asset_id} \
--header 'Authorization: Bearer <token>'{
"asset": {
"id": "<string>",
"name": "<string>",
"project_id": "<string>",
"type": "ASSET_TYPE_UNSPECIFIED",
"content_type": "<string>",
"size_bytes": "<string>",
"access_control_mode": "ACCESS_CONTROL_MODE_UNSPECIFIED",
"create_time": "2023-11-07T05:31:56Z",
"labels": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}GetAsset
Returns information about the asset.
curl --request GET \
--url https://api.mottostreaming.com/streaming/assets/v1/{asset_id} \
--header 'Authorization: Bearer <token>'{
"asset": {
"id": "<string>",
"name": "<string>",
"project_id": "<string>",
"type": "ASSET_TYPE_UNSPECIFIED",
"content_type": "<string>",
"size_bytes": "<string>",
"access_control_mode": "ACCESS_CONTROL_MODE_UNSPECIFIED",
"create_time": "2023-11-07T05:31:56Z",
"labels": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
OK
Show child attributes
The ID of the asset.
The name of the asset. It typically is the filename of the asset.
The ID of the project that owns the asset.
The type of the asset.
ASSET_TYPE_UNSPECIFIED, ASSET_TYPE_IMAGE, ASSET_TYPE_VIDEO, ASSET_TYPE_AUDIO, ASSET_TYPE_FONT, ASSET_TYPE_TEXT The content type of the asset.
For example, image/png, image/jpeg, video/mp4, etc.
The size of the asset in bytes.
The access control mode of the asset.
If not specified, the default is ACCESS_CONTROL_MODE_PUBLICREAD.
It indicates whether the asset is publicly accessible via
a URL or it's accessible only via a signed URL.
ACCESS_CONTROL_MODE_UNSPECIFIED, ACCESS_CONTROL_MODE_PUBLICREAD, ACCESS_CONTROL_MODE_SIGNEDREAD The time when the asset was created.